Last Comment Bug 771390 - [css3-mediaqueries] resolution units (dpi, dpcm, dppx) should be dots per CSS inch/centimeter/pixel, not per physical in/cm/px
: [css3-mediaqueries] resolution units (dpi, dpcm, dppx) should be dots per CSS...
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: mozilla16
Assigned To: David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
:
Mentors:
Depends on: 779527
Blocks: 662061
  Show dependency treegraph
 
Reported: 2012-07-05 17:25 PDT by David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
Modified: 2012-08-09 12:55 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.40 KB, patch)
2012-07-05 17:37 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details | Diff | Review
patch (2.71 KB, patch)
2012-07-05 18:17 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
bzbarsky: review+
Details | Diff | Review

Description David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-05 17:25:37 PDT
css3-mediaqueries now says that the dpi, dpcm (and future dppx) units are dots per *CSS* inch, not dots per physical inch.
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-05 17:37:37 PDT
Created attachment 639532 [details] [diff] [review]
patch
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-05 18:17:37 PDT
Created attachment 639542 [details] [diff] [review]
patch

with more tests
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-06 10:37:46 PDT
Basically passed try (though a few Windows tests still pending):
try: --build d --platform linux,macosx64,win32,android --unittests all --talos none --no-emails
https://tbpl.mozilla.org/?tree=Try&rev=afa60b026c46
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-07-07 21:15:48 PDT
Comment on attachment 639542 [details] [diff] [review]
patch

r=me
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-07-07 22:34:23 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/6e509374cbd1
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-07-08 10:51:09 PDT
https://hg.mozilla.org/mozilla-central/rev/6e509374cbd1
Comment 7 Jean-Yves Perrier [:teoli] 2012-07-20 09:18:01 PDT
Added a line in 
https://developer-new.mozilla.org/en-US/docs/CSS/resolution
and in
https://developer-new.mozilla.org/en-US/docs/Firefox_16_for_developers

(Visible on the real site when Kuma will come live!)

Note You need to log in before you can comment on or make changes to this bug.